<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/include/AVSCommon/Utils/MediaPlayer/ErrorTypes.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a></li><li class="navelem"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a></li><li class="navelem"><a class="el" href="dir_2255c9d1605cd31ab93ea032c5611101.html">MediaPlayer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">ErrorTypes.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;ostream&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for ErrorTypes.h:</div>
<div class="dyncontent">
<div class="center"><img src="_error_types_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_media_player_2_error_types_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_media_player_2_error_types_8h" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_media_player_2_error_types_8h">
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_error_types_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_media_player_2_error_types_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_media_player_2_error_types_8hdep" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_media_player_2_error_types_8hdep">
<area shape="rect" id="node2" href="_media_player_observer_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/include/AVSCommon/Utils\l/MediaPlayer/MediaPlayerObserver\lInterface.h" alt="" coords="2007,119,2239,197"/>
<area shape="rect" id="node28" href="_audio_player_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/AudioPlayer/include/AudioPlayer\l/AudioPlayer.h" alt="" coords="446,245,664,311"/>
<area shape="rect" id="node48" href="_error_type_conversion_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/GStreamerMedia\lPlayer/include/MediaPlayer\l/ErrorTypeConversion.h" alt="" coords="3492,125,3722,191"/>
<area shape="rect" id="node3" href="_mock_media_player_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/test/Common/MockMediaPlayer.cpp" alt="" coords="1262,252,1501,304"/>
<area shape="rect" id="node4" href="_renderer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/include/Alerts\l/Renderer/Renderer.h" alt="" coords="2328,245,2480,311"/>
<area shape="rect" id="node32" href="_bluetooth_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Bluetooth/include/Bluetooth\l/Bluetooth.h" alt="" coords="1764,245,1951,311"/>
<area shape="rect" id="node34" href="_notification_renderer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Notifications/include\l/Notifications/NotificationRenderer.h" alt="" coords="2006,245,2240,311"/>
<area shape="rect" id="node37" href="_speech_synthesizer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/SpeechSynthesizer/include\l/SpeechSynthesizer/SpeechSynthesizer.h" alt="" coords="955,245,1224,311"/>
<area shape="rect" id="node41" href="_test_media_player_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/include\l/Integration/TestMediaPlayer.h" alt="" coords="1525,252,1726,304"/>
<area shape="rect" id="node43" href="_android_s_l_e_s_media_player_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/src/AndroidSLESMediaPlayer.cpp" alt="" coords="2809,252,3072,304"/>
<area shape="rect" id="node44" href="_android_s_l_e_s_media_player_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/test/AndroidSLESMediaPlayerTest.cpp" alt="" coords="3096,252,3387,304"/>
<area shape="rect" id="node45" href="_media_player_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/GStreamerMedia\lPlayer/include/MediaPlayer\l/MediaPlayer.h" alt="" coords="2555,245,2784,311"/>
<area shape="rect" id="node47" href="_media_player_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/GStreamerMedia\lPlayer/test/MediaPlayerTest.cpp" alt="" coords="3107,365,3336,417"/>
<area shape="rect" id="node5" href="_default_client_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/include/DefaultClient\l/DefaultClient.h" alt="" coords="1657,585,1885,651"/>
<area shape="rect" id="node13" href="_alert_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/include/Alerts\l/Alert.h" alt="" coords="2931,359,3083,424"/>
<area shape="rect" id="node26" href="_renderer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/src/Renderer/Renderer.cpp" alt="" coords="2507,365,2731,417"/>
<area shape="rect" id="node27" href="_renderer_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/test/Renderer\l/RendererTest.cpp" alt="" coords="2755,359,2907,424"/>
<area shape="rect" id="node6" href="_default_client_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/src/DefaultClient.cpp" alt="" coords="1505,699,1733,751"/>
<area shape="rect" id="node7" href="_interaction_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/InteractionManager.h" alt="" coords="1627,799,1850,851"/>
<area shape="rect" id="node10" href="_keyword_observer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/KeywordObserver.h" alt="" coords="1873,699,2088,751"/>
<area shape="rect" id="node8" href="_user_input_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/UserInputManager.h" alt="" coords="1512,899,1731,951"/>
<area shape="rect" id="node9" href="_interaction_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/Interaction\lManager.cpp" alt="" coords="1754,899,1961,951"/>
<area shape="rect" id="node11" href="_keyword_observer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/KeywordObserver.cpp" alt="" coords="1874,805,2150,844"/>
<area shape="rect" id="node12" href="_sample_application_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/SampleApplication.cpp" alt="" coords="2174,805,2454,844"/>
<area shape="rect" id="node14" href="_alarm_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/include/Alerts\l/Alarm.h" alt="" coords="3465,472,3618,537"/>
<area shape="rect" id="node19" href="_alerts_capability_agent_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/include/Alerts\l/AlertsCapabilityAgent.h" alt="" coords="2925,472,3089,537"/>
<area shape="rect" id="node21" href="_reminder_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/include/Alerts\l/Reminder.h" alt="" coords="3289,472,3442,537"/>
<area shape="rect" id="node22" href="_alert_storage_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/include/Alerts\l/Storage/AlertStorageInterface.h" alt="" coords="2323,472,2536,537"/>
<area shape="rect" id="node23" href="_capability_agents_2_alerts_2include_2_alerts_2_timer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/include/Alerts\l/Timer.h" alt="" coords="3113,472,3266,537"/>
<area shape="rect" id="node24" href="_alert_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/src/Alert.cpp" alt="" coords="2560,479,2712,531"/>
<area shape="rect" id="node25" href="_alert_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/test/AlertTest.cpp" alt="" coords="2736,479,2901,531"/>
<area shape="rect" id="node15" href="_alarm_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/src/Alarm.cpp" alt="" coords="3491,592,3643,644"/>
<area shape="rect" id="node16" href="_alerts_capability_agent_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/src/AlertsCapability\lAgent.cpp" alt="" coords="3064,585,3241,651"/>
<area shape="rect" id="node17" href="_s_q_lite_alert_storage_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/src/Storage/SQLiteAlert\lStorage.cpp" alt="" coords="3264,585,3467,651"/>
<area shape="rect" id="node18" href="_alarm_alert_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/test/AlarmAlertTest.cpp" alt="" coords="3667,592,3867,644"/>
<area shape="rect" id="node20" href="_alerts_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AlertsIntegrationTest.cpp" alt="" coords="1909,592,2081,644"/>
<area shape="rect" id="node29" href="_audio_player_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/AudioPlayer/src/AudioPlayer.cpp" alt="" coords="227,365,445,417"/>
<area shape="rect" id="node30" href="_audio_player_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/AudioPlayer/test/AudioPlayer\lTest.cpp" alt="" coords="5,359,203,424"/>
<area shape="rect" id="node31" href="_audio_player_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AudioPlayerIntegrationTest.cpp" alt="" coords="521,365,730,417"/>
<area shape="rect" id="node33" href="_bluetooth_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Bluetooth/src/Bluetooth.cpp" alt="" coords="1763,365,1952,417"/>
<area shape="rect" id="node35" href="_notification_renderer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Notifications/src/Notification\lRenderer.cpp" alt="" coords="2243,359,2432,424"/>
<area shape="rect" id="node36" href="_notification_renderer_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Notifications/test/Notification\lRendererTest.cpp" alt="" coords="2027,359,2219,424"/>
<area shape="rect" id="node38" href="_speech_synthesizer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/SpeechSynthesizer/src\l/SpeechSynthesizer.cpp" alt="" coords="806,359,970,424"/>
<area shape="rect" id="node39" href="_speech_synthesizer_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/SpeechSynthesizer/test\l/SpeechSynthesizerTest.cpp" alt="" coords="995,359,1184,424"/>
<area shape="rect" id="node40" href="_speech_synthesizer_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/SpeechSynthesizerIntegration\lTest.cpp" alt="" coords="1259,359,1462,424"/>
<area shape="rect" id="node42" href="_test_media_player_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/src\l/TestMediaPlayer.cpp" alt="" coords="1485,365,1638,417"/>
<area shape="rect" id="node46" href="_media_player_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/GStreamerMedia\lPlayer/src/MediaPlayer.cpp" alt="" coords="3465,365,3695,417"/>
<area shape="rect" id="node49" href="_error_type_conversion_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/GStreamerMedia\lPlayer/src/ErrorTypeConversion.cpp" alt="" coords="3412,252,3647,304"/>
<area shape="rect" id="node50" href="_error_type_conversion_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/GStreamerMedia\lPlayer/test/ErrorTypeConversionTest.cpp" alt="" coords="3722,252,3985,304"/>
</map>
</div>
</div>
<p><a href="_error_types_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">alexaClientSDK::avsCommon::utils</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html">alexaClientSDK::avsCommon::utils::mediaPlayer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ab6ff57ee3fc3650d3b710fa12d32e25d"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html#ab6ff57ee3fc3650d3b710fa12d32e25d">alexaClientSDK::avsCommon::utils::mediaPlayer::ErrorType</a> { <br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html#ab6ff57ee3fc3650d3b710fa12d32e25da8a46c6871379464dbd33be70a24cfba3">alexaClientSDK::avsCommon::utils::mediaPlayer::ErrorType::MEDIA_ERROR_UNKNOWN</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html#ab6ff57ee3fc3650d3b710fa12d32e25daf0506be275f28c97934bda2659eb4367">alexaClientSDK::avsCommon::utils::mediaPlayer::ErrorType::MEDIA_ERROR_INVALID_REQUEST</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html#ab6ff57ee3fc3650d3b710fa12d32e25da71091367e6d03f68244823010b052a51">alexaClientSDK::avsCommon::utils::mediaPlayer::ErrorType::MEDIA_ERROR_SERVICE_UNAVAILABLE</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html#ab6ff57ee3fc3650d3b710fa12d32e25dab1f98ed35decb700504a4a434fe5056e">alexaClientSDK::avsCommon::utils::mediaPlayer::ErrorType::MEDIA_ERROR_INTERNAL_SERVER_ERROR</a>, 
<br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html#ab6ff57ee3fc3650d3b710fa12d32e25da5183b820e865ed35bcd230a8be0140fa">alexaClientSDK::avsCommon::utils::mediaPlayer::ErrorType::MEDIA_ERROR_INTERNAL_DEVICE_ERROR</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html#ab6ff57ee3fc3650d3b710fa12d32e25da8a46c6871379464dbd33be70a24cfba3">alexaClientSDK::avsCommon::utils::mediaPlayer::ErrorType::MEDIA_ERROR_UNKNOWN</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html#ab6ff57ee3fc3650d3b710fa12d32e25daf0506be275f28c97934bda2659eb4367">alexaClientSDK::avsCommon::utils::mediaPlayer::ErrorType::MEDIA_ERROR_INVALID_REQUEST</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html#ab6ff57ee3fc3650d3b710fa12d32e25da71091367e6d03f68244823010b052a51">alexaClientSDK::avsCommon::utils::mediaPlayer::ErrorType::MEDIA_ERROR_SERVICE_UNAVAILABLE</a>, 
<br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html#ab6ff57ee3fc3650d3b710fa12d32e25dab1f98ed35decb700504a4a434fe5056e">alexaClientSDK::avsCommon::utils::mediaPlayer::ErrorType::MEDIA_ERROR_INTERNAL_SERVER_ERROR</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html#ab6ff57ee3fc3650d3b710fa12d32e25da5183b820e865ed35bcd230a8be0140fa">alexaClientSDK::avsCommon::utils::mediaPlayer::ErrorType::MEDIA_ERROR_INTERNAL_DEVICE_ERROR</a>
<br />
 }</td></tr>
<tr class="memdesc:ab6ff57ee3fc3650d3b710fa12d32e25d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Identifies the specific type of error in a <code>PlaybackFailed</code> event.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html#ab6ff57ee3fc3650d3b710fa12d32e25d">More...</a><br /></td></tr>
<tr class="separator:ab6ff57ee3fc3650d3b710fa12d32e25d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:acb8be54193f8139821a91c7c43cb70ed"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html#acb8be54193f8139821a91c7c43cb70ed">alexaClientSDK::avsCommon::utils::mediaPlayer::errorTypeToString</a> (ErrorType errorType)</td></tr>
<tr class="separator:acb8be54193f8139821a91c7c43cb70ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3048e030f0a324bac28bb0be757bcf2"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player.html#ad3048e030f0a324bac28bb0be757bcf2">alexaClientSDK::avsCommon::utils::mediaPlayer::operator&lt;&lt;</a> (std::ostream &amp;stream, const ErrorType &amp;errorType)</td></tr>
<tr class="separator:ad3048e030f0a324bac28bb0be757bcf2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
